SearchEngine
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.search
Class SearchEngine

    java.lang.Object
      org.apache.ivy.core.search.SearchEngine

    public class SearchEngine

extends java.lang.Object

Constructor Summary
`SearchEngine(IvySettings settings)`

Method Summary
`java.util.Collection` | `findModuleRevisionIds(DependencyResolver resolver, ModuleRevisionId pattern, PatternMatcher matcher)`
`ModuleEntry[]` | `listModuleEntries(OrganisationEntry org)`
`ModuleRevisionId[]` | `listModules(DependencyResolver resolver, ModuleRevisionId moduleCrit, PatternMatcher matcher)` List modules matching a given criteria, available in the given dependency resolver.
`ModuleId[]` | `listModules(ModuleId moduleCrit, PatternMatcher matcher)` List module ids of the module accessible through the current resolvers matching the given mid criteria according to the given matcher.
`ModuleRevisionId[]` | `listModules(ModuleRevisionId moduleCrit, PatternMatcher matcher)` List module revision ids of the module accessible through the current resolvers matching the given mrid criteria according to the given matcher.
`java.lang.String[]` | `listModules(java.lang.String org)`
`OrganisationEntry[]` | `listOrganisationEntries()`
`java.lang.String[]` | `listOrganisations()`
`RevisionEntry[]` | `listRevisionEntries(ModuleEntry module)`
`java.lang.String[]` | `listRevisions(java.lang.String org, java.lang.String module)`
`java.lang.String[]` | `listTokenValues(java.lang.String token, java.util.Map otherTokenValues)` Returns an empty array when no token values are found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchEngine

    public SearchEngine(IvySettings settings)

Method Detail

### listTokenValues

    public java.lang.String[] listTokenValues(java.lang.String token,
                                              java.util.Map otherTokenValues)

  Returns an empty array when no token values are found.

  Parameters:
    `token` -
    `otherTokenValues` -
  Returns:

### listOrganisationEntries

    public OrganisationEntry[] listOrganisationEntries()

### listOrganisations

    public java.lang.String[] listOrganisations()

### listModuleEntries

    public ModuleEntry[] listModuleEntries(OrganisationEntry org)

### listModules

    public java.lang.String[] listModules(java.lang.String org)

### listRevisionEntries

    public RevisionEntry[] listRevisionEntries(ModuleEntry module)

### listRevisions

    public java.lang.String[] listRevisions(java.lang.String org,
                                            java.lang.String module)

### listModules

    public ModuleId[] listModules(ModuleId moduleCrit,
                                  PatternMatcher matcher)

  List module ids of the module accessible through the current resolvers matching the given mid criteria according to the given matcher.

  ModuleId are returned in the system namespace.

  Parameters:
    `criteria` -
    `matcher` -
  Returns:

### listModules

    public ModuleRevisionId[] listModules(ModuleRevisionId moduleCrit,
                                          PatternMatcher matcher)

  List module revision ids of the module accessible through the current resolvers matching the given mrid criteria according to the given matcher.

  ModuleRevisionId are returned in the system namespace.

  Parameters:
    `criteria` -
    `matcher` -
  Returns:

### listModules

    public ModuleRevisionId[] listModules(DependencyResolver resolver,
                                          ModuleRevisionId moduleCrit,
                                          PatternMatcher matcher)

  List modules matching a given criteria, available in the given dependency resolver.

  ModuleRevisionId are returned in the system namespace.

  Parameters:
    `resolver` - the resolver in which modules should looked up
    `moduleCrit` - the criteria to match
    `matcher` - the matcher to use to match criteria
  Returns:
    an array of matching module revision ids

### findModuleRevisionIds

    public java.util.Collection findModuleRevisionIds(DependencyResolver resolver,
                                                      ModuleRevisionId pattern,
                                                      PatternMatcher matcher)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD